[TUTORIAL] Dell Openmanage on Proxmox 6.x

MrColo

New Member
Dec 8, 2020
1
0
1
54
It seems that 8.4 is as far as OM can be installed on an R710 running PVE 6.2-10

Also beware of accessing OM over VPN connection (OpenVPN) which may be causing OM web app login loop.

The steps below worked for me. Thanks

Code:
echo "deb http://linux.dell.com/repo/community/ubuntu xenial openmanage/840" > /etc/apt/sources.list.d/linux.dell.com.sources.list

gpg --keyserver pool.sks-keyservers.net --recv-key 1285491434D8786F && gpg -a --export 1285491434D8786F | apt-key add -

apt update

wget http://archive.ubuntu.com/ubuntu/pool/universe/o/openwsman/libwsman-curl-client-transport1_2.6.5-0ubuntu3_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/universe/o/openwsman/libwsman-client4_2.6.5-0ubuntu3_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/universe/o/openwsman/libwsman1_2.6.5-0ubuntu3_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/universe/o/openwsman/libwsman-server1_2.6.5-0ubuntu3_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/universe/s/sblim-sfcc/libcimcclient0_2.2.8-0ubuntu2_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/universe/o/openwsman/openwsman_2.6.5-0ubuntu3_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/multiverse/c/cim-schema/cim-schema_2.48.0-0ubuntu1_all.deb
wget http://archive.ubuntu.com/ubuntu/pool/universe/s/sblim-sfc-common/libsfcutil0_1.0.1-0ubuntu4_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/multiverse/s/sblim-sfcb/sfcb_1.4.9-0ubuntu5_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/universe/s/sblim-cmpi-devel/libcmpicppimpl0_2.0.3-0ubuntu2_amd64.deb

dpkg -i libwsman-curl-client-transport1_2.6.5-0ubuntu3_amd64.deb
dpkg -i libwsman-client4_2.6.5-0ubuntu3_amd64.deb
dpkg -i libwsman1_2.6.5-0ubuntu3_amd64.deb
dpkg -i libwsman-server1_2.6.5-0ubuntu3_amd64.deb
dpkg -i libcimcclient0_2.2.8-0ubuntu2_amd64.deb
dpkg -i openwsman_2.6.5-0ubuntu3_amd64.deb
dpkg -i cim-schema_2.48.0-0ubuntu1_all.deb
dpkg -i libsfcutil0_1.0.1-0ubuntu4_amd64.deb
dpkg -i sfcb_1.4.9-0ubuntu5_amd64.deb
dpkg -i libcmpicppimpl0_2.0.3-0ubuntu2_amd64.deb

apt update && apt install srvadmin-all libncurses5 && srvadmin-services.sh start
Hi I've got a Dell r710. I just did this but I receive an error when I run the srvadmin-services.sh start command.

Code:
srvadmin-services.sh start
[ ok ] Starting instsvcdrv (via systemctl): instsvcdrv.service.
[ ok ] Starting dataeng (via systemctl): dataeng.service.
[....] Starting dsm_om_connsvc (via systemctl): dsm_om_connsvc.serviceJob for dsm_om_connsvc.service failed because the control process exited with error code.
See "systemctl status dsm_om_connsvc.service" and "journalctl -xe" for details.
failed!

if I write systemctl status dsm_om_connsvc.service:
Code:
systemctl status dsm_om_connsvc.service
● dsm_om_connsvc.service - LSB: DSM OM Connection Service
   Loaded: loaded (/etc/init.d/dsm_om_connsvc; generated)
   Active: failed (Result: exit-code) since Tue 2020-12-08 20:09:46 CET; 1min 0s ago
     Docs: man:systemd-sysv-generator(8)
  Process: 23081 ExecStart=/etc/init.d/dsm_om_connsvc start (code=exited, status=127)

Dec 08 20:09:46 magnum systemd[1]: Starting LSB: DSM OM Connection Service...
Dec 08 20:09:46 magnum dsm_om_connsvc[23081]: Starting DSM SA Connection Service: /opt/dell/srvadmin/sbin/dsm_om_connsvc
Dec 08 20:09:46 magnum dsm_om_connsvc[23081]:  failed!
Dec 08 20:09:46 magnum systemd[1]: dsm_om_connsvc.service: Control process exited, code=exited, status=127/n/a
Dec 08 20:09:46 magnum systemd[1]: dsm_om_connsvc.service: Failed with result 'exit-code'.
Dec 08 20:09:46 magnum systemd[1]: Failed to start LSB: DSM OM Connection Service.
How can I solve that? thanks
 
Last edited:

alain

Active Member
May 17, 2009
216
1
38
France/Paris
Thanks for the tuto ! It worked perfectly here for two Dell PE R640 with BOSS controller.

It was two new servers installed with Proxmox 6.3. Notice that when I upgraded my other nodes from 5.x to 6.1, Dell OMSA ketp working, I had not to reinstall.
 
  • Like
Reactions: Lokytech

syakiren

New Member
Apr 28, 2021
1
1
1
36
Thanks bro its work for me on debian buster dell poweredge R440, just error on storage 'no controller found ' bacause of no libxslt installed, just fix it with apt-get install -y libxslt-dev and everything working perfectly.....tq
 
  • Like
Reactions: Lokytech

BigRed1434

New Member
Jun 26, 2021
1
0
1
41
Ok so when i run the
gpg --keyserver pool.sks-keyservers.net --recv-key 1285491434D8786F && gpg -a --export 1285491434D8786F | apt-key add -

i get gpg: keyserver receive failed : No name.

any help would be appreciated.
 

UdoB

Well-Known Member
Nov 1, 2016
192
39
48
Germany
gpg --keyserver pool.sks-keyservers.net --recv-key 1285491434D8786F && gpg -a --export 1285491434D8786F | apt-key add -
i get gpg: keyserver receive failed : No name.
Well, I have no solution. But the reason is clearly stated on https://sks-keyservers.net/ - using an expired(!) certificate:

This service is deprecated. This means it is no longer maintained, and new HKPS certificates will not be issued. Service reliability should not be expected. [B]Update 2021-06-21[/B]: Due to even more GDPR takedown requests, the DNS records for the pool will no longer be provided at all.

:-(
 

raffin

New Member
Aug 8, 2021
1
1
3
22
Well Working On Dell R710 & Proxmox7.0-8

keyserver had been shut down so you need to change pool.sks-keyservers.net to keyserver.ubuntu.com

changed line
gpg --keyserver keyserver.ubuntu.com --recv-key 1285491434D8786F && gpg -a --export 1285491434D8786F | apt-key add -
 
  • Like
Reactions: jjgg
Dec 13, 2018
44
4
13
50
Hi All,

So grateful for this community.

To install OMSA 10.1.0.0 on Proxmox 7 on a Dell R730xd...

1) substitute:
echo "deb http://linux.dell.com/repo/community/openmanage/10100/focal/ focal main" > /etc/apt/sources.list.d/linux.dell.com.sources.list wget https://linux.dell.com/repo/pgp_pubkeys/0x1285491434D8786F.asc apt-key add 0x1285491434D8786F.asc

for:
echo "deb http://linux.dell.com/repo/community/openmanage/930/bionic bionic main" > /etc/apt/sources.list.d/linux.dell.com.sources.list gpg --keyserver pool.sks-keyservers.net --recv-key 1285491434D8786F && gpg -a --export 1285491434D8786F | apt-key add -

2) bonus ... if you have non-dell hardware (hard drives) and don't want to see an alert because of this:
pico /opt/dell/srvadmin/etc/srvadmin-storage/stsvc.ini

change
NonDellCertifiedFlag=yes
to
NonDellCertifiedFlag=no

Lastly as in the OP, log out, log in and:
srvadmin-services.sh restart


best,

James
 
  • Like
Reactions: Lokytech

4o66

New Member
May 25, 2021
1
1
1
42
Hi,
When I call the
gpg --keyserver pool.sks-keyservers.net --recv-key 1285491434D8786F
I get error:
gpg: Keyserver receive failed: Server indicated a failure
changingto hkp:// and port :80 also does not help.
Any help?
pool.sks-keyservers.net is dead.

Use
wget -qO - https://linux.dell.com/repo/pgp_pubkeys/0x1285491434D8786F.asc | apt-key add -
 
  • Like
Reactions: Lokytech

karor

Member
Dec 23, 2019
1
1
8
48
Tried to install OMSA 9.4 on a Proxmox 7.1 and Dell R720xd. Installing srvadmin-all crapped out with:
Code:
Setting up srvadmin-smcommon (9.4.0) ...
Setting up srvadmin-marvell (9.4.0) ...
Setting up srvadmin-deng-snmp (9.4.0) ...
Setting up srvadmin-jre (9.4.0) ...
Setting up srvadmin-realssd (9.4.0) ...
Setting up srvadmin-storelib-sysfs (9.4.0) ...
Failed to find path to libsysfs.so.2 from libsysfs2 package! Report to OMSA maintainer!
dpkg: error processing package srvadmin-storelib-sysfs (--configure):
 installed srvadmin-storelib-sysfs package post-installation script subprocess returned error exit status 1
dpkg: dependency problems prevent configuration of srvadmin-storageservices-cli:
 srvadmin-storageservices-cli depends on srvadmin-storelib-sysfs (>= 9.4.0); however:
  Package srvadmin-storelib-sysfs is not configured yet.

dpkg: error processing package srvadmin-storageservices-cli (--configure):
 dependency problems - leaving unconfigured
Setting up srvadmin-idracadm7 (9.4.0) ...
Setting up srvadmin-isvc-snmp (9.4.0) ...
Setting up srvadmin-omacs (9.4.0) ...
Setting up srvadmin-smweb (9.4.0) ...
Setting up libargtable2-0 (13-1.1) ...
Setting up srvadmin-itunnelprovider (9.4.0) ...
dpkg: dependency problems prevent configuration of srvadmin-storageservices-snmp:
 srvadmin-storageservices-snmp depends on srvadmin-storelib-sysfs (>= 9.4.0); however:
  Package srvadmin-storelib-sysfs is not configured yet.

dpkg: error processing package srvadmin-storageservices-snmp (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of srvadmin-storelib:
 srvadmin-storelib depends on srvadmin-storelib-sysfs (>= 9.4.0); however:
  Package srvadmin-storelib-sysfs is not configured yet.

dpkg: error processing package srvadmin-storelib (--configure):
 dependency problems - leaving unconfigured
Setting up srvadmin-standardagent (9.4.0) ...
Setting up srvadmin-idracadm8 (9.4.0) ...
Setting up srvadmin-tomcat (9.4.0) ...
Setting up srvadmin-ominst (9.4.0) ...
Setting up srvadmin-nvme (9.4.0) ...
Setting up srvadmin-omacore (9.4.0) ...
Setting up srvadmin-webserver (9.4.0) ...
dpkg: dependency problems prevent configuration of srvadmin-storageservices:
 srvadmin-storageservices depends on srvadmin-storageservices-snmp (>= 9.4.0); however:
  Package srvadmin-storageservices-snmp is not configured yet.
 srvadmin-storageservices depends on srvadmin-storageservices-cli (>= 9.4.0); however:
  Package srvadmin-storageservices-cli is not configured yet.
 srvadmin-storageservices depends on srvadmin-storelib (>= 9.4.0); however:
  Package srvadmin-storelib is not configured yet.
 srvadmin-storageservices depends on srvadmin-storelib-sysfs (>= 9.4.0); however:
  Package srvadmin-storelib-sysfs is not configured yet.

dpkg: error processing package srvadmin-storageservices (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of srvadmin-all:
 srvadmin-all depends on srvadmin-storageservices (>= 9.4.0); however:
  Package srvadmin-storageservices is not configured yet.

dpkg: error processing package srvadmin-all (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of srvadmin-storage:
 srvadmin-storage depends on srvadmin-storelib (>= 9.4.0); however:
  Package srvadmin-storelib is not configured yet.

dpkg: error processing package srvadmin-storage (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of srvadmin-storage-snmp:
 srvadmin-storage-snmp depends on srvadmin-storage (>= 9.4.0); however:
  Package srvadmin-storage is not configured yet.

dpkg: error processing package srvadmin-storage-snmp (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of srvadmin-storage-cli:
 srvadmin-storage-cli depends on srvadmin-storage (>= 9.4.0); however:
  Package srvadmin-storage is not configured yet.

dpkg: error processing package srvadmin-storage-cli (--configure):
 dependency problems - leaving unconfigured
Setting up srvadmin-base (9.4.0) ...
Setting up srvadmin-server-snmp (9.4.0) ...
Setting up srvadmin-server-cli (9.4.0) ...
Processing triggers for libc-bin (2.31-13+deb11u2) ...
Processing triggers for man-db (2.9.4-2) ...
Errors were encountered while processing:
 srvadmin-storelib-sysfs
 srvadmin-storageservices-cli
 srvadmin-storageservices-snmp
 srvadmin-storelib
 srvadmin-storageservices
 srvadmin-all
 srvadmin-storage
 srvadmin-storage-snmp
 srvadmin-storage-cli
E: Sub-process /usr/bin/dpkg returned an error code (1)
After banging head against ldconfig and libsysfs.so.2 which was very much in system path and accessible, solution was:
Code:
ln -s /usr/lib/x86_64-linux-gnu/libsysfs.so.2 /lib/x86_64-linux-gnu/libsysfs.so.2
Culprit is this wrong path in srvadmin-storelib-sysfs_9.4.0_amd64.deb postinst script (or both hardcoded paths, actually):
Code:
if [ -e /lib/x86_64-linux-gnu/libsysfs.so.2 ]; then
        update-alternatives --install ${lnpath} ${lnname} /lib/x86_64-linux-gnu/libsysfs.so.2 10 \
                            --slave ${lnpath}.2 ${lnname}.2 /lib/x86_64-linux-gnu/libsysfs.so.2
elif [ -e /lib/libsysfs.so.2 ]; then
        update-alternatives --install ${lnpath} ${lnname} /lib/libsysfs.so.2 10 \
                            --slave ${lnpath}.2 ${lnname}.2 /lib/libsysfs.so.2
else
        echo "Failed to find path to libsysfs.so.2 from libsysfs2 package! Report to OMSA maintainer!"
        exit 1
fi
P.S. To bring back apt to a working state if installing srvadmin-all fails, run:
Code:
apt-get --auto-remove purge srvadmin-*
After this and symlinking the above library, you can install srvadmin-all again.
 
Last edited:
  • Like
Reactions: Lokytech

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!